Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.chart.yui
Class CategoryAxis

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.chart.yui.Axis
              com.gwtext.client.widgets.chart.yui.CategoryAxis

    public class CategoryAxis

extends Axis

A type of axis that displays items in categories.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`CategoryAxis()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create()`
`java.lang.String[]` | `getCategoryNames()` A list of category names to display along this axis.
`void` | `setCategoryNames(java.lang.String[] categoryNames)` A list of category names to display along this axis.

Methods inherited from class com.gwtext.client.widgets.chart.yui.Axis
`getHideOverlappingLabels, getOrientation, getReverse, getType, setHideOverlappingLabels, setLabelFunction, setOrientation, setReverse, setType`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryAxis

    public CategoryAxis()

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create()

  Overrides:
    `create` in class `Axis`

### setCategoryNames

    public void setCategoryNames(java.lang.String[] categoryNames)

  A list of category names to display along this axis.

  Parameters:
    `categoryNames` - the categoryNames

### getCategoryNames

    public java.lang.String[] getCategoryNames()

  A list of category names to display along this axis.

  Returns:
    the categoryNames

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD